Custody providers
Rotate Filecoin Custody Wallet Key
Replaces a Filecoin wallet's stored signer key, then re-verifies the new signer on-chain and refreshes multisig config.
POSThttps://api.toku.com/tga/rotate-filecoin-custody-wallet-key
Not available to API keys.
curl --request POST \
--url 'https://api.toku.com/tga/rotate-filecoin-custody-wallet-key' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"orgID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"custodyWalletID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"newSignerPrivateKey": "string"
}'200 response
{
"custodyWalletID": "string",
"signerAddress": "string",
"isSignerAuthorized": true,
"threshold": 0,
"signerCount": 0
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
orgIDstring<uuid>custodyWalletIDstring<uuid>requirednewSignerPrivateKeystringrequiredAllowed: matches ^[0-9a-fA-F]{64}$
Response
200Successful response
custodyWalletIDstringrequiredsignerAddressstringrequiredisSignerAuthorizedbooleanrequiredthresholdnumber | nullrequiredsignerCountinteger | nullrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits